osg::StateAttribute::ModeUsage Struct Referenceabstract

`#include <StateAttribute>`

## Public Member Functions

virtual | ~ModeUsage ()
virtual void | usesMode (GLMode mode)=0
virtual void | usesTextureMode (GLMode mode)=0

## Constructor & Destructor Documentation

## ~ModeUsage()

virtual osg::StateAttribute::ModeUsage::~ModeUsage | ( |  | ) |

inline virtual

## Member Function Documentation

## usesMode()

virtual void osg::StateAttribute::ModeUsage::usesMode | ( | GLMode | mode | ) |

pure virtual

Referenced by osg::AlphaFunc::getModeUsage(), osg::BlendColor::getModeUsage(), osg::BlendEquation::getModeUsage(), osg::BlendFunc::getModeUsage(), osg::ClipPlane::getModeUsage(), osg::CullFace::getModeUsage(), osg::Depth::getModeUsage(), osg::Fog::getModeUsage(), osg::FragmentProgram::getModeUsage(), osg::Light::getModeUsage(), osg::LineStipple::getModeUsage(), osg::LogicOp::getModeUsage(), osg::Point::getModeUsage(), osg::PointSprite::getModeUsage(), osg::PolygonOffset::getModeUsage(), osg::PolygonStipple::getModeUsage(), osg::Scissor::getModeUsage(), osg::Stencil::getModeUsage(), osg::StencilTwoSided::getModeUsage(), and osg::VertexProgram::getModeUsage().

## usesTextureMode()

virtual void osg::StateAttribute::ModeUsage::usesTextureMode | ( | GLMode | mode | ) |

pure virtual

Referenced by osg::TexGen::getModeUsage(), and osg::Texture::getTextureTarget().

The documentation for this struct was generated from the following file:

- StateAttribute